      SUBROUTINE MAIN
      LOGICAL*1 BUF(400), WORD(400), OBUF(400)
      INTEGER I, NXTCOL
      INTEGER GETLIN, GETWRD
      CALL INPACK(NXTCOL, 80, OBUF, 2)
23000 IF(.NOT.(GETLIN(BUF, 1) .NE. -1))GOTO 23001
      I = 1
23002 IF(.NOT.(GETWRD(BUF, I, WORD) .GT. 0))GOTO 23003
      CALL DOPACK(WORD, NXTCOL, 80, OBUF, 2)
      GOTO 23002
23003 CONTINUE
      GOTO 23000
23001 CONTINUE
      CALL FLPACK(NXTCOL, 80, OBUF, 2)
      RETURN
      END
